## Index

### Variables

- delimiter
- sep

### Functions

- basename
- dirname
- extname
- format
- isAbsolute
- join
- normalize
- parse
- relative
- resolve

## Variables

### Const delimiter

delimiter: string

- Defined in node_modules/@types/node/path.d.ts:155

### Const sep

sep: string

- Defined in node_modules/@types/node/path.d.ts:154

## Functions

### basename

- basename(p: string, ext?: undefined | string): string

- - Defined in node_modules/@types/node/path.d.ts:152

  #### Parameters

  - ##### p: string

  - ##### Optional ext: undefined | string

  #### Returns string

### dirname

- dirname(p: string): string

- - Defined in node_modules/@types/node/path.d.ts:151

  #### Parameters

  - ##### p: string

  #### Returns string

### extname

- extname(p: string): string

- - Defined in node_modules/@types/node/path.d.ts:153

  #### Parameters

  - ##### p: string

  #### Returns string

### format

- format(pP: FormatInputPathObject): string

- - Defined in node_modules/@types/node/path.d.ts:157

  #### Parameters

  - ##### pP: FormatInputPathObject

  #### Returns string

### isAbsolute

- isAbsolute(p: string): boolean

- - Defined in node_modules/@types/node/path.d.ts:149

  #### Parameters

  - ##### p: string

  #### Returns boolean

### join

- join(...paths: string[]): string

- - Defined in node_modules/@types/node/path.d.ts:147

  #### Parameters

  - ##### Rest ...paths: string[]

  #### Returns string

### normalize

- normalize(p: string): string

- - Defined in node_modules/@types/node/path.d.ts:146

  #### Parameters

  - ##### p: string

  #### Returns string

### parse

- parse(p: string): ParsedPath

- - Defined in node_modules/@types/node/path.d.ts:156

  #### Parameters

  - ##### p: string

  #### Returns ParsedPath

### relative

- relative(from: string, to: string): string

- - Defined in node_modules/@types/node/path.d.ts:150

  #### Parameters

  - ##### from: string

  - ##### to: string

  #### Returns string

### resolve

- resolve(...pathSegments: string[]): string

- - Defined in node_modules/@types/node/path.d.ts:148

  #### Parameters

  - ##### Rest ...pathSegments: string[]

  #### Returns string

Generated using TypeDoc